class

  StatusManager

brief

  UI 用状態管理クラス StatusManager のインスタンスごとに任意の状態管理ができる

### Hierarchy

- StatusManager

### Implements

- IStatusManager

## Index

### Properties

- _status

### Methods

- isStatusIn
- statusAddRef
- statusRelease
- statusScope

## Properties

### Private _status

_status: any

- Defined in CDP/UI/listview/StatusManager.ts:13

## Methods

### isStatusIn

- isStatusIn(status: string): boolean

- Implementation of IStatusManager.isStatusIn

  - Defined in CDP/UI/listview/StatusManager.ts:62

  #### Parameters

  - ##### status: string

  #### Returns boolean

### statusAddRef

- statusAddRef(status: string): number

- Implementation of IStatusManager.statusAddRef

  - Defined in CDP/UI/listview/StatusManager.ts:19

  #### Parameters

  - ##### status: string

  #### Returns number

### statusRelease

- statusRelease(status: string): number

- Implementation of IStatusManager.statusRelease

  - Defined in CDP/UI/listview/StatusManager.ts:29

  #### Parameters

  - ##### status: string

  #### Returns number

### statusScope

- statusScope(status: string, callback: function): void

- - Defined in CDP/UI/listview/StatusManager.ts:44

  #### Parameters

  - ##### status: string

  - ##### callback: function

    - - (): void | Promise<any>

      - #### Returns void | Promise<any>

  #### Returns void

Generated using TypeDoc